class AssistantConfig {
    getProductPath() {
        return '/var/www/';
    }
    getImage() {
        return 'dockerhub.teknisa.com/odhen-assistant:latest';
    }
    getEnv() {
        return [];
    }
    getVolumes() {
        const basePath = process.env.ASSIST_PRODUCT_PATH;
        return [`${basePath}:${this.getProductPath()}`];
    }
    getCmd({ orgId, db_name }) {
        const saasDb = `USR_ORG_${orgId}`;
        return ['/bin/bash', '-c', `${this.getProductPath()}/odhen-assistant/master/start-master.sh ${db_name || saasDb} ${orgId}`];
    }
    getRestartPolicy() {
        return {
            Name: 'on-failure',
            MaximumRetryCount: 3,
        };
    }
    getConfig(config, params) {
        const newConfig = {
            Image: this.getImage(),
            Cmd: this.getCmd(params),
            RestartPolicy: this.getRestartPolicy(),
            ...config,
        };
        newConfig.HostConfig = newConfig.HostConfig || {};
        newConfig.HostConfig.Binds = (newConfig.HostConfig.Binds || []).concat(this.getVolumes());
        return newConfig;
    }
}
export default new AssistantConfig();
