class OracleConfig {
    getEnv() {
        const oracleHome = '/u01/app/oracle/product/12.1.0/client_1';
        return [
            'ORACLE_BASE=/u01/app/oracle',
            `ORACLE_HOME=${oracleHome}`,
            `ORA_NLS33=${oracleHome}/ocommon/nls/admin/data`,
            `LD_LIBRARY_PATH=${oracleHome}`,
            `TNS_ADMIN=${oracleHome}/network/admin`,
        ];
    }
    getVolumes() {
        const instantClientPath = process.env.ASSIST_ORCL_INSTANT_CLIENT;
        return [`${instantClientPath}:/u01`];
    }
    getConfig(config = {}) {
        const newConfig = { Env: [], HostConfig: {}, ...config };
        if (!Array.isArray(newConfig.Env)) {
            newConfig.Env = [];
        }
        newConfig.Env = [...newConfig.Env, ...this.getEnv()];
        newConfig.HostConfig = newConfig.HostConfig || {};
        newConfig.HostConfig.Binds = (newConfig.HostConfig.Binds || []).concat(this.getVolumes());
        return newConfig;
    }
}
export default new OracleConfig();
