import { Request } from '../util/index.js';
import { AssistantControl } from '../service/index.js';
class AssistantControlRoutes {
    register(app) {
        app.get('/database', async (req, res) => {
            try {
                const data = await AssistantControl.getDataBaseList();
                res.status(200).send(data);
            }
            catch (err) {
                Request.handleResponseError(res, err);
            }
        });
        app.get('/database/download', async (req, res) => {
            const params = Request.getAllParams(req);
            AssistantControl.downloadDb(res, params);
        });
        app.get('/environment', async (req, res) => {
            try {
                res.send({ env: JSON.parse(process.env.LOADED_ENV || '') });
            }
            catch (error) {
                res.status(500).send(error);
            }
        });
    }
}
export default new AssistantControlRoutes();
