import http from 'http';
import express from 'express';
import dotenv from 'dotenv';
import { register as resgisterRoutes } from './routes/index.js';
import { Security, SocketService } from './service/index.js';
import { Middleware, SocketMiddleware } from './middleware/index.js';
const { parsed: parsedEnv } = dotenv.config();
process.env.LOADED_ENV = JSON.stringify(parsedEnv);
Security.loadAuthorizedUsers();
const app = express();
const { SERVER_PORT } = process.env;
Middleware.register(app);
const server = http.createServer(app);
resgisterRoutes(app);
const io = SocketService.register(server);
SocketMiddleware.register(io);
server.listen(SERVER_PORT, () => {
    console.log('Listening on ', SERVER_PORT);
});
