import { Prisma } from '../db/index.js';
class ProductService {
    async create(params) {
        const { name, assistantUrl } = params;
        const data = {
            name,
            assistantUrl,
        };
        return Prisma.customer.create({ data });
    }
    async list() {
        return Prisma.customer.findMany();
    }
    async remove({ id, customersToRemove }) {
        const customersId = Array.isArray(customersToRemove)
            ? customersToRemove
            : [];
        const where = { id: { in: customersId } };
        if (id) {
            const response = await Prisma.customer.delete({ where: { id } });
            return response;
        }
        if (Array.isArray(customersToRemove)) {
            const response = Prisma.customer.deleteMany({ where });
            return response;
        }
    }
    async modify(params) {
        return params;
    }
}
export default new ProductService();
