import { Prisma } from '../db/index.js';
class ProductService {
    async create(params) {
        const { devopsId, productName } = params;
        const data = {
            devopsId,
            productName,
        };
        return Prisma.product.create({ data });
    }
    async list() {
        return Prisma.product.findMany();
    }
    async remove({ devopsId, productsToRemove }) {
        const products = Array.isArray(productsToRemove)
            ? productsToRemove
            : [];
        const where = { devopsId: { in: products } };
        if (devopsId) {
            const response = await Prisma.product.delete({ where: { devopsId } });
            return response;
        }
        if (Array.isArray(productsToRemove)) {
            const response = Prisma.product.deleteMany({ where });
            return response;
        }
    }
    async modify(params) {
        return params;
    }
}
export default new ProductService();
