import ms from 'ms';
import { Docker } from '../index.js';
import { SocketPageManager } from '../socket-pages/index.js';
class DockerAnalytics {
    constructor() {
        this.monitoring();
    }
    monitoring() {
        const timeStart = Date.now();
        const allServers = Object.values(Docker.getInstances());
        if (!allServers || (Array.isArray(allServers) && allServers.length === 0)) {
            setTimeout(() => {
                this.monitoring();
            }, DockerAnalytics.timeToMonitoring);
            return;
        }
        Docker.summary({ instance: allServers }).then((result) => {
            const timeEnd = Date.now();
            SocketPageManager.emitByContext({ context: 'monitoring', event: 'update' }, result);
            const duration = timeEnd - timeStart;
            if (duration < DockerAnalytics.timeToMonitoring) {
                setTimeout(() => {
                    this.monitoring();
                }, DockerAnalytics.timeToMonitoring - duration);
            }
            else {
                this.monitoring();
            }
        }).catch((err) => {
            console.error(err);
        });
    }
    stop() { }
}
DockerAnalytics.timeToMonitoring = ms('5s');
export default new DockerAnalytics();
