import { AbstractSocketPage } from './index.js';
import ContainerPageSocket from './ContainerPageSocket.js';
class SocketPageManager extends AbstractSocketPage {
    emitByContext({ event, context }, params) {
        if (context)
            this.$emit(context, event, params);
    }
    emitByPage(options, params) {
        const { page, event } = options;
        switch (page) {
            case 'container-management':
                ContainerPageSocket.emit(event, params);
                break;
            default:
                console.error('Page not found socket');
        }
    }
}
export default new SocketPageManager('socket-page-manager');
